import { DataSignal } from 's-js';
export declare type SObject = <T extends object>(value: T) => SObjectSignal<T>;
export interface SObjectSignal<T extends object> {
    (): T;
    (v: T): T;
    proxy: T;
    get<K extends keyof T>(key: K): T[K];
    set<K extends keyof T>(key: K, value: T[K]): T[K];
}
declare const SObject: SObject;
export default SObject;
export declare function lift<T extends object>(data: DataSignal<T>, value?: T): SObjectSignal<T>;
